Package org.eclipse.graphiti.ui.internal.util.draw2d

# Class LineSeg.TrigValues

java.lang.Object
org.eclipse.graphiti.ui.internal.util.draw2d.LineSeg.TrigValues

Enclosing class:
  LineSeg

public static class LineSeg.TrigValues extends Object
Structure to hold onto trig values that represent an angle

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`cosTheta`
Cos theta value.
`double`
`sinTheta`
Sin theta value

## Constructor Summary

Constructors
Constructor
Description
`TrigValues()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sinTheta

public double sinTheta
Sin theta value

### cosTheta

public double cosTheta
Cos theta value.

## Constructor Details

### TrigValues

public TrigValues()